Delete one or more data source groups

POST /source/group/delete


Description

This method deletes one or more data source groups by their IDs. A JWT token in the header is required for access.


Request Format

  • HTTP Method: POST
  • URL: /source/group/delete
  • Content-Type: application/json
  • Authorization: required

Request Parameters

ParameterTypeLocationRequiredDescription
tokenstringHeaderUser JWT token

Request Body (JSON)

FieldTypeRequiredDescription
tokenstringUser JWT token
group_idstringGroup identifier

Example Request (cURL)

curl -X POST "https://api.enface.ai/v1/source/group/delete" 
  -H "Content-Type: application/json" 
  -H "Authorization: Bearer jwt.temporary.token" 
  -d '{
    "token": "jwt.temporary.token",
    "group_id": [
      "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "a63d1a62-abc1-4234-88a3-1ef4e4f9d111"
    ]
  }'

Response Examples

Success (200 OK)
{
  "code": 0,
  "message": "source group deleted",
  "status": "ok"
}
Error (400 Bad Request)
{
  "message": "invalid schema",
  "status": "error"
}